{
  "name": "jingtou_admin_front",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve  --host 0.0.0.0 --open",
    "dev:dev1": "vue-cli-service serve --mode dev1",
    "build": "node -e \"require('./version.js').updateVersion()\" && vue-cli-service build --mode prod",
    "build:test": "node -e \"require('./version.js').updateVersion()\" && vue-cli-service build --mode test",
    "build:dev": "node -e \"require('./version.js').updateVersion()\" && vue-cli-service build --mode dev",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@babel/plugin-transform-class-static-block": "^7.26.0",
    "@xunlei/vue-lazy-component": "^1.1.3",
    "assert": "^2.1.0",
    "autofit.js": "^3.1.4",
    "axios": "^1.6.2",
    "babel-plugin-transform-remove-console": "^6.9.4",
    "core-js": "^3.38.1",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.13",
    "echarts": "^5.5.1",
    "element-ui": "^2.15.14",
    "font-awesome": "^4.7.0",
    "html-webpack-plugin": "^5.6.0",
    "js-cookie": "^3.0.5",
    "js-md5": "^0.8.3",
    "jsencrypt": "^3.3.2",
    "kde": "^0.0.1",
    "lottie-web": "^5.12.2",
    "nprogress": "^0.2.0",
    "plotly.js": "^2.35.3",
    "postcss-pxtorem": "^6.1.0",
    "print-js": "^1.6.0",
    "sass-loader": "^13.3.2",
    "scss": "^0.2.4",
    "simple-statistics": "^7.8.7",
    "slick-carousel": "^1.8.1",
    "vue": "^2.6.14",
    "vue-carousel": "^0.18.0",
    "vue-infinite-loading": "^2.4.5",
    "vue-lottie": "^0.2.1",
    "vue-plotly": "^1.1.0",
    "vue-router": "^3.6.5",
    "vue-slick-carousel": "^1.0.6",
    "vue-virtual-scroller": "^1.1.2",
    "vuex": "^3.6.2",
    "vuex-persistedstate": "^4.1.0",
    "xe-utils": "^3.5.13",
    "yarn": "^1.22.22"
  },
  "devDependencies": {
    "@babel/core": "^7.12.16",
    "@babel/eslint-parser": "^7.12.16",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "eslint": "^7.32.0",
    "eslint-plugin-vue": "^8.0.3",
    "lodash": "^4.17.21",
    "px2rem-loader": "^0.1.9",
    "sass": "^1.89.0",
    "terser-webpack-plugin": "^5.3.14",
    "vue-template-compiler": "^2.6.14",
    "webpackbar": "^6.0.1",
    "ws": "^8.18.0"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser"
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
